diff --git a/game/client/src/main/java/net/minecraft/client/render/block/model/BlockModelStandard.java b/game/client/src/main/java/net/minecraft/client/render/block/model/BlockModelStandard.java
index f35c93315..cba9efab6 100644
--- a/game/client/src/main/java/net/minecraft/client/render/block/model/BlockModelStandard.java
+++ b/game/client/src/main/java/net/minecraft/client/render/block/model/BlockModelStandard.java
@@ -1,7 +1,6 @@
 package net.minecraft.client.render.block.model;
 
 import net.minecraft.client.render.LightmapHelper;
-import net.minecraft.client.render.item.model.ItemModelStandard;
 import net.minecraft.client.render.texture.stitcher.IconCoordinate;
 import net.minecraft.client.render.texture.stitcher.TextureRegistry;
 import net.minecraft.client.render.tessellator.Tessellator;
@@ -9,10 +8,13 @@ import net.minecraft.client.render.block.color.BlockColorDispatcher;
 import net.minecraft.core.block.Block;
 import net.minecraft.core.block.BlockLogic;
 import net.minecraft.core.util.helper.Side;
-import net.minecraft.core.util.phys.AABB;
 import net.minecraft.core.world.WorldSource;
+import net.minecraft.core.world.pos.TilePos;
+import net.minecraft.core.world.pos.TilePosc;
 import org.jetbrains.annotations.NotNull;
 import org.jetbrains.annotations.Nullable;
+import org.joml.primitives.AABBd;
+import org.joml.primitives.AABBdc;
 import org.lwjgl.opengl.GL11;
 import org.useless.dragonfly.DisplayPos;
 
@@ -20,20 +22,20 @@ import java.util.Arrays;
 import java.util.HashMap;
 import java.util.Map;
 
-public class BlockModelStandard<T extends BlockLogic> extends BlockModel<T>{
+public class BlockModelStandard<T extends BlockLogic> extends BlockModel<T> {
     protected static final RenderBlocks renderBlocks = new RenderBlocks();
 
     protected static final DisplayPos DEFAULT_BLOCK_GUI = new DisplayPos(0, 0, 0, 30, 225, 0, 0.625f, 0.625f, 0.625f);
-    protected static final DisplayPos DEFAULT_BLOCK_GROUND = new DisplayPos(0, 3/16f, 0, 0, 0, 0, 0.25f, 0.25f, 0.25f);
+    protected static final DisplayPos DEFAULT_BLOCK_GROUND = new DisplayPos(0, 3 / 16f, 0, 0, 0, 0, 0.25f, 0.25f, 0.25f);
     protected static final DisplayPos DEFAULT_BLOCK_FIXED = new DisplayPos(0, 0, 0, 0, 0, 0, 0.5f, 0.5f, 0.5f);
-    protected static final DisplayPos DEFAULT_BLOCK_THIRD_PERSON_RIGHT_HAND = new DisplayPos(0, 2.5f/16f, 0, 75, 45, 0, 0.375f, 0.375f, 0.375f);
-    protected static final DisplayPos DEFAULT_BLOCK_THIRD_PERSON_LEFT_HAND = new DisplayPos(-0, 2.5f/16f, 0, 75, 45, 0, 0.375f, 0.375f, 0.375f);
+    protected static final DisplayPos DEFAULT_BLOCK_THIRD_PERSON_RIGHT_HAND = new DisplayPos(0, 2.5f / 16f, 0, 75, 45, 0, 0.375f, 0.375f, 0.375f);
+    protected static final DisplayPos DEFAULT_BLOCK_THIRD_PERSON_LEFT_HAND = new DisplayPos(-0, 2.5f / 16f, 0, 75, 45, 0, 0.375f, 0.375f, 0.375f);
     protected static final DisplayPos DEFAULT_BLOCK_FIRST_PERSON_RIGHT_HAND = new DisplayPos(0, 0, 0, 0, 45, 0, 0.4f, 0.4f, 0.4f);
     protected static final DisplayPos DEFAULT_BLOCK_FIRST_PERSON_LEFT_HAND = new DisplayPos(0, 0, 0, 0, 225, 0, 0.4f, 0.4f, 0.4f);
 
     public static final IconCoordinate BLOCK_TEXTURE_MISSING = TextureRegistry.getTexture("minecraft:block/texture_missing");
     public static final IconCoordinate BLOCK_TEXTURE_UNASSIGNED = TextureRegistry.getTexture("minecraft:block/texture_unassigned");
-    public @Nullable AABB itemRenderBounds = null;
+    public @Nullable AABBdc itemRenderBounds = null;
     public int renderLayer = 0;
 
     public static final int BLOCK_TEXTURES = 0;
@@ -50,65 +52,65 @@ public class BlockModelStandard<T extends BlockLogic> extends BlockModel<T>{
 
     public BlockModelStandard(Block<T> block) {
         super(block);
-        displayPosMap.put(DisplayPos.GUI, DEFAULT_BLOCK_GUI);
-        displayPosMap.put(DisplayPos.GROUND, DEFAULT_BLOCK_GROUND);
-        displayPosMap.put(DisplayPos.FIXED, DEFAULT_BLOCK_FIXED);
-        displayPosMap.put(DisplayPos.THIRD_PERSON_RIGHT_HAND, DEFAULT_BLOCK_THIRD_PERSON_RIGHT_HAND);
-        displayPosMap.put(DisplayPos.THIRD_PERSON_LEFT_HAND, DEFAULT_BLOCK_THIRD_PERSON_LEFT_HAND); // TODO make automatic since its just the axis flipped
-        displayPosMap.put(DisplayPos.FIRST_PERSON_RIGHT_HAND, DEFAULT_BLOCK_FIRST_PERSON_RIGHT_HAND);
-        displayPosMap.put(DisplayPos.FIRST_PERSON_LEFT_HAND, DEFAULT_BLOCK_FIRST_PERSON_LEFT_HAND);
+        this.displayPosMap.put(DisplayPos.GUI, DEFAULT_BLOCK_GUI);
+        this.displayPosMap.put(DisplayPos.GROUND, DEFAULT_BLOCK_GROUND);
+        this.displayPosMap.put(DisplayPos.FIXED, DEFAULT_BLOCK_FIXED);
+        this.displayPosMap.put(DisplayPos.THIRD_PERSON_RIGHT_HAND, DEFAULT_BLOCK_THIRD_PERSON_RIGHT_HAND);
+        this.displayPosMap.put(DisplayPos.THIRD_PERSON_LEFT_HAND, DEFAULT_BLOCK_THIRD_PERSON_LEFT_HAND); // TODO make automatic since its just the axis flipped
+        this.displayPosMap.put(DisplayPos.FIRST_PERSON_RIGHT_HAND, DEFAULT_BLOCK_FIRST_PERSON_RIGHT_HAND);
+        this.displayPosMap.put(DisplayPos.FIRST_PERSON_LEFT_HAND, DEFAULT_BLOCK_FIRST_PERSON_LEFT_HAND);
     }
 
     @Override
-    public boolean renderNoCulling(@NotNull Tessellator tessellator, @NotNull WorldSource worldSource, int x, int y, int z) {
+    public boolean renderNoCulling(@NotNull Tessellator tessellator, @NotNull WorldSource worldSource, @NotNull TilePosc tilePos) {
         renderBlocks.renderAllFaces = true;
-        boolean result = render(tessellator, worldSource, x, y, z);
+        boolean result = render(tessellator, worldSource, tilePos);
         renderBlocks.renderAllFaces = false;
         return result;
     }
 
     @Override
-    public boolean renderWithOverrideTexture(@NotNull Tessellator tessellator, @NotNull WorldSource worldSource, int x, int y, int z, IconCoordinate textureIndex) {
+    public boolean renderWithOverrideTexture(@NotNull Tessellator tessellator, @NotNull WorldSource worldSource, @NotNull TilePosc tilePos, IconCoordinate textureIndex) {
         renderBlocks.overrideBlockTexture = textureIndex;
-        boolean result = render(tessellator, worldSource, x, y, z);
+        boolean result = render(tessellator, worldSource, tilePos);
         renderBlocks.overrideBlockTexture = null;
         return result;
     }
 
     @Override
-    public boolean render(@NotNull Tessellator tessellator, @NotNull WorldSource worldSource, int x, int y, int z) {
-        return renderBlocks.renderStandardBlock(tessellator, worldSource, this, block.getBlockBoundsFromState(worldSource, x, y, z), x, y, z);
+    public boolean render(@NotNull Tessellator tessellator, @NotNull WorldSource worldSource, @NotNull TilePosc tilePos) {
+        return renderBlocks.renderStandardBlock(tessellator, worldSource, this, this.block.getBoundsFromState(worldSource, tilePos), tilePos);
     }
 
     @Override
-    public boolean renderOverbright(@NotNull Tessellator tessellator, @NotNull WorldSource worldSource, int x, int y, int z) {
+    public boolean renderOverbright(@NotNull Tessellator tessellator, @NotNull WorldSource worldSource, @NotNull TilePosc tilePos) {
         renderBlocks.overbright = true;
-        boolean result = render(tessellator, worldSource, x, y, z);
+        boolean result = render(tessellator, worldSource, tilePos);
         renderBlocks.overbright = false;
         return result;
     }
 
     @Override
-	public void renderStandalone(@NotNull Tessellator tessellator, int metadata, float brightness, float alpha, @Nullable Integer lightmapCoordinate) {
-		if(renderBlocks.useInventoryTint) {
-			int color = BlockColorDispatcher.getInstance().getDispatch(block).getFallbackColor(metadata, 0);
-			float r = (float) (color >> 16 & 0xff) / 255F;
-			float g = (float) (color >> 8 & 0xff) / 255F;
-			float b = (float) (color & 0xff) / 255F;
-			GL11.glColor4f(r * brightness, g * brightness, b * brightness, alpha);
-		}else {
-			GL11.glColor4f(brightness, brightness, brightness, alpha);
-		}
-		float yOffset = 0.5F;
-
-        AABB bounds = getBlockBoundsForItemRender();
-		GL11.glTranslatef(-0.5F, 0.0F - yOffset, -0.5F);
-		renderBlockWithBounds(tessellator, bounds, metadata, brightness, alpha, lightmapCoordinate);
-		GL11.glTranslatef(0.5F, yOffset, 0.5F);
-	}
-
-    public void renderBlockWithBounds(Tessellator tessellator, AABB bounds, int metadata, float brightness, float alpha, @Nullable Integer lightmapCoordinate) {
-        if(LightmapHelper.isLightmapEnabled() && lightmapCoordinate != null) {
+    public void renderStandalone(@NotNull Tessellator tessellator, int metadata, float brightness, float alpha, @Nullable Integer lightmapCoordinate) {
+        if (renderBlocks.useInventoryTint) {
+            int color = BlockColorDispatcher.getInstance().getDispatch(this.block).getFallbackColor(metadata, 0);
+            float r = (float) (color >> 16 & 0xff) / 255F;
+            float g = (float) (color >> 8 & 0xff) / 255F;
+            float b = (float) (color & 0xff) / 255F;
+            GL11.glColor4f(r * brightness, g * brightness, b * brightness, alpha);
+        } else {
+            GL11.glColor4f(brightness, brightness, brightness, alpha);
+        }
+        float yOffset = 0.5F;
+
+        AABBdc bounds = getBlockBoundsForItemRender();
+        GL11.glTranslatef(-0.5F, 0.0F - yOffset, -0.5F);
+        renderBlockWithBounds(tessellator, bounds, metadata, brightness, alpha, lightmapCoordinate);
+        GL11.glTranslatef(0.5F, yOffset, 0.5F);
+    }
+
+    public void renderBlockWithBounds(@NotNull Tessellator tessellator, @NotNull AABBdc bounds, int metadata, float brightness, float alpha, @Nullable Integer lightmapCoordinate) {
+        if (LightmapHelper.isLightmapEnabled() && lightmapCoordinate != null) {
             LightmapHelper.setLightmapCoord(lightmapCoordinate);
         }
 
@@ -134,25 +136,25 @@ public class BlockModelStandard<T extends BlockLogic> extends BlockModel<T>{
 
         tessellator.draw();
 
-        if(LightmapHelper.isLightmapEnabled() && lightmapCoordinate != null) {
+        if (LightmapHelper.isLightmapEnabled() && lightmapCoordinate != null) {
             LightmapHelper.setLastLightmapCoord();
         }
 
-        if(hasOverbright()) {
+        if (hasOverbright()) {
 //			GL11.glDisable(GL11.GL_LIGHTING);
 
             float brightnessOver = 1.0f;
-            if(renderBlocks.useInventoryTint) {
-                int color = BlockColorDispatcher.getInstance().getDispatch(block).getFallbackColor(metadata, 0);
+            if (renderBlocks.useInventoryTint) {
+                int color = BlockColorDispatcher.getInstance().getDispatch(this.block).getFallbackColor(metadata, 0);
                 float r = (float) (color >> 16 & 0xff) / 255F;
                 float g = (float) (color >> 8 & 0xff) / 255F;
                 float b = (float) (color & 0xff) / 255F;
                 GL11.glColor4f(r * brightnessOver, g * brightnessOver, b * brightnessOver, alpha);
-            }else {
+            } else {
                 GL11.glColor4f(brightnessOver, brightnessOver, brightnessOver, alpha);
             }
 
-            if(LightmapHelper.isLightmapEnabled()) {
+            if (LightmapHelper.isLightmapEnabled()) {
                 LightmapHelper.setLightmapCoord(15, 15);
             }
 
@@ -178,7 +180,7 @@ public class BlockModelStandard<T extends BlockLogic> extends BlockModel<T>{
 
             tessellator.draw();
 
-            if(LightmapHelper.isLightmapEnabled()) {
+            if (LightmapHelper.isLightmapEnabled()) {
                 LightmapHelper.setLastLightmapCoord();
             }
 
@@ -193,7 +195,7 @@ public class BlockModelStandard<T extends BlockLogic> extends BlockModel<T>{
 
     @Override
     public @NotNull DisplayPos getItemDisplayPos(@NotNull String id) {
-        return displayPosMap.getOrDefault(id, DisplayPos.DEFAULT_DISPLAY_POS);
+        return this.displayPosMap.getOrDefault(id, DisplayPos.DEFAULT_DISPLAY_POS);
     }
 
     public @NotNull BlockModelStandard<T> setDisplayPos(@NotNull String id, @NotNull DisplayPos displayPos) {
@@ -201,37 +203,45 @@ public class BlockModelStandard<T extends BlockLogic> extends BlockModel<T>{
         return this;
     }
 
-    public @Nullable IconCoordinate getBlockTexture(WorldSource blockAccess, int x, int y, int z, Side side)
-    {
-        return getBlockTextureFromSideAndMetadata(side, blockAccess.getBlockMetadata(x, y, z));
+    @Deprecated
+    public final @Nullable IconCoordinate getBlockTexture(@NotNull WorldSource source, int x, int y, int z, @NotNull Side side) {
+        return getBlockTexture(source, new TilePos(x, y, z), side);
+    }
+
+    public @Nullable IconCoordinate getBlockTexture(@NotNull WorldSource source, @NotNull TilePosc tilePos, @NotNull Side side) {
+        return getBlockTextureFromSideAndMetadata(side, source.getBlockData(tilePos));
     }
 
-    public @Nullable IconCoordinate getBlockOverbrightTexture(WorldSource blockAccess, int x, int y, int z, @NotNull Side side)
-    {
-        return getBlockOverbrightTextureFromSideAndMeta(side, blockAccess.getBlockMetadata(x, y, z));
+    @Deprecated
+    public final @Nullable IconCoordinate getBlockOverbrightTexture(@NotNull WorldSource source, int x, int y, int z, @NotNull Side side) {
+        return getBlockOverbrightTexture(source, new TilePos(x, y, z), side);
+    }
+
+    public @Nullable IconCoordinate getBlockOverbrightTexture(@NotNull WorldSource source, @NotNull TilePosc tilePos, @NotNull Side side) {
+        return getBlockOverbrightTextureFromSideAndMeta(side, source.getBlockData(tilePos));
     }
 
     @Override
     public boolean hasOverbright() {
-        return overbrightTextures.hasTexture();
+        return this.overbrightTextures.hasTexture();
     }
 
-    public @Nullable IconCoordinate getBlockOverbrightTextureFromSideAndMeta(Side side, int data) {
-        if (retroOverbrightTextures.hasTexture && isRetro()) {
-            return retroOverbrightTextures.get(side);
+    public @Nullable IconCoordinate getBlockOverbrightTextureFromSideAndMeta(@NotNull Side side, int data) {
+        if (this.retroOverbrightTextures.hasTexture && isRetro()) {
+            return this.retroOverbrightTextures.get(side);
         }
-        return overbrightTextures.get(side);
+        return this.overbrightTextures.get(side);
     }
 
-    public @Nullable IconCoordinate getBlockTextureFromSideAndMetadata(Side side, int data)
-    {
-        if (retroBlockTextures.hasTexture && isRetro()) {
-            return retroBlockTextures.get(side);
+    public @Nullable IconCoordinate getBlockTextureFromSideAndMetadata(@NotNull Side side, int data) {
+        if (this.retroBlockTextures.hasTexture && isRetro()) {
+            return this.retroBlockTextures.get(side);
         }
-        return blockTextures.get(side);
+        return this.blockTextures.get(side);
     }
+
     @Override
-    public @Nullable IconCoordinate getParticleTexture(@NotNull Side side, int meta){
+    public @Nullable IconCoordinate getParticleTexture(@NotNull Side side, int meta) {
         return getBlockTextureFromSideAndMetadata(side, meta);
     }
 
@@ -240,63 +250,57 @@ public class BlockModelStandard<T extends BlockLogic> extends BlockModel<T>{
         return getBlockTextureFromSideAndMetadata(Side.NORTH, meta);
     }
 
-    public boolean shouldSideBeRendered(WorldSource blockAccess, AABB bounds, int x, int y, int z, @NotNull Side side, int meta)
-    {
-        return shouldSideBeRendered(blockAccess, bounds, x, y, z, side);
+    @Deprecated
+    public final boolean shouldSideBeRendered(@NotNull WorldSource source, @NotNull AABBdc bounds, int x, int y, int z, @NotNull Side side, int meta) {
+        return shouldSideBeRendered(source, bounds, new TilePos(x, y, z), side, meta);
+    }
+
+    public boolean shouldSideBeRendered(@NotNull WorldSource source, @NotNull AABBdc bounds, @NotNull TilePos tilePos, @NotNull Side side, int meta) {
+        return shouldSideBeRendered(source, bounds, tilePos, side);
     }
 
-    public boolean shouldSideBeRendered(WorldSource blockAccess, AABB bounds, int x, int y, int z, @NotNull Side side)
-    {
-        if(side == Side.BOTTOM && bounds.minY > 0.0D)
-        {
+    @Deprecated
+    public final boolean shouldSideBeRendered(@NotNull WorldSource source, @NotNull AABBdc bounds, int x, int y, int z, @NotNull Side side) {
+        return shouldSideBeRendered(source, bounds, new TilePos(x, y, z), side);
+    }
+
+    public boolean shouldSideBeRendered(@NotNull WorldSource source, @NotNull AABBdc bounds, @NotNull TilePosc tilePos, @NotNull Side side) {
+        if (side == Side.BOTTOM && bounds.minY() > 0.0D) {
             return true;
-        }
-        else if(side == Side.TOP && bounds.maxY < 1.0D)
-        {
+        } else if (side == Side.TOP && bounds.maxY() < 1.0D) {
             return true;
-        }
-        else if(side == Side.NORTH && bounds.minZ > 0.0D)
-        {
+        } else if (side == Side.NORTH && bounds.minZ() > 0.0D) {
             return true;
-        }
-        else if(side == Side.SOUTH && bounds.maxZ < 1.0D)
-        {
+        } else if (side == Side.SOUTH && bounds.maxZ() < 1.0D) {
             return true;
-        }
-        else if(side == Side.WEST && bounds.minX > 0.0D)
-        {
+        } else if (side == Side.WEST && bounds.minX() > 0.0D) {
             return true;
-        }
-        else if(side == Side.EAST && bounds.maxX < 1.0D)
-        {
+        } else if (side == Side.EAST && bounds.maxX() < 1.0D) {
             return true;
-        }
-        else
-        {
-            return !blockAccess.isBlockOpaqueCube(x, y, z);
+        } else {
+            return !source.isBlockOpaqueCube(tilePos);
         }
     }
 
-    public boolean shouldSideBeColored(@NotNull WorldSource worldSource, int x, int y, int z, @NotNull Side side, int meta){
+    public boolean shouldSideBeColored(@NotNull WorldSource worldSource, @NotNull TilePosc tilePos, @NotNull Side side, int meta) {
         return true;
     }
 
     @Override
-    public int particleColorIndex(@NotNull WorldSource worldSource, int x, int y, int z, @NotNull Side side, int meta) {
-        return shouldSideBeColored(worldSource, x, y, z, side, meta) ? 0 : -1;
+    public int particleColorIndex(@NotNull WorldSource worldSource, @NotNull TilePosc tilePos, @NotNull Side side, int meta) {
+        return shouldSideBeColored(worldSource, tilePos, side, meta) ? 0 : -1;
     }
 
-    public AABB getBlockBoundsForItemRender()
-    {
-        if (itemRenderBounds != null){
-            return itemRenderBounds;
+    public @NotNull AABBdc getBlockBoundsForItemRender() {
+        if (this.itemRenderBounds != null) {
+            return this.itemRenderBounds;
         }
-        return block.getBounds();
+        return this.block.getBounds();
     }
 
     @Override
     public int renderLayer() {
-        return renderLayer;
+        return this.renderLayer;
     }
 
     public BlockModelStandard<T> onRenderLayer(int layer) {
@@ -304,42 +308,42 @@ public class BlockModelStandard<T extends BlockLogic> extends BlockModel<T>{
         return this;
     }
 
-    public BlockModelStandard<T> withCustomItemBounds(double minX, double minY, double minZ, double maxX, double maxY, double maxZ){
-        this.itemRenderBounds = AABB.fromPool(minX, minY, minZ, maxX, maxY, maxZ).copyUnpooled();
+    public BlockModelStandard<T> withCustomItemBounds(double minX, double minY, double minZ, double maxX, double maxY, double maxZ) {
+        this.itemRenderBounds = new AABBd(minX, minY, minZ, maxX, maxY, maxZ);
         return this;
     }
 
-    public BlockModelStandard<T> setTex(int layer, @Nullable IconCoordinate coordinate, Side ... sides) {
+    public BlockModelStandard<T> setTex(int layer, @Nullable IconCoordinate coordinate, Side... sides) {
         switch (layer) {
             case BLOCK_TEXTURES:
-                blockTextures.set(coordinate, sides);
+                this.blockTextures.set(coordinate, sides);
                 break;
             case OVERBRIGHT_TEXTURES:
-                overbrightTextures.set(coordinate, sides);
+                this.overbrightTextures.set(coordinate, sides);
                 break;
             case RETRO_BLOCK_TEXTURES:
-                retroBlockTextures.set(coordinate, sides);
+                this.retroBlockTextures.set(coordinate, sides);
                 break;
             case RETRO_OVERBRIGHT_TEXTURES:
-                retroOverbrightTextures.set(coordinate, sides);
+                this.retroOverbrightTextures.set(coordinate, sides);
                 break;
         }
         return this;
     }
 
-    public BlockModelStandard<T> setTex(int layer, @Nullable String texture, Side ... sides) {
+    public BlockModelStandard<T> setTex(int layer, @Nullable String texture, Side... sides) {
         switch (layer) {
             case BLOCK_TEXTURES:
-                blockTextures.set(texture, sides);
+                this.blockTextures.set(texture, sides);
                 break;
             case OVERBRIGHT_TEXTURES:
-                overbrightTextures.set(texture, sides);
+                this.overbrightTextures.set(texture, sides);
                 break;
             case RETRO_BLOCK_TEXTURES:
-                retroBlockTextures.set(texture, sides);
+                this.retroBlockTextures.set(texture, sides);
                 break;
             case RETRO_OVERBRIGHT_TEXTURES:
-                retroOverbrightTextures.set(texture, sides);
+                this.retroOverbrightTextures.set(texture, sides);
                 break;
         }
         return this;
@@ -348,16 +352,16 @@ public class BlockModelStandard<T extends BlockLogic> extends BlockModel<T>{
     public BlockModelStandard<T> setAllTextures(int layer, @Nullable IconCoordinate coordinate) {
         switch (layer) {
             case BLOCK_TEXTURES:
-                blockTextures.setAll(coordinate);
+                this.blockTextures.setAll(coordinate);
                 break;
             case OVERBRIGHT_TEXTURES:
-                overbrightTextures.setAll(coordinate);
+                this.overbrightTextures.setAll(coordinate);
                 break;
             case RETRO_BLOCK_TEXTURES:
-                retroBlockTextures.setAll(coordinate);
+                this.retroBlockTextures.setAll(coordinate);
                 break;
             case RETRO_OVERBRIGHT_TEXTURES:
-                retroOverbrightTextures.setAll(coordinate);
+                this.retroOverbrightTextures.setAll(coordinate);
                 break;
         }
         return this;
@@ -366,16 +370,16 @@ public class BlockModelStandard<T extends BlockLogic> extends BlockModel<T>{
     public BlockModelStandard<T> setAllTextures(int layer, @Nullable String texture) {
         switch (layer) {
             case BLOCK_TEXTURES:
-                blockTextures.setAll(texture);
+                this.blockTextures.setAll(texture);
                 break;
             case OVERBRIGHT_TEXTURES:
-                overbrightTextures.setAll(texture);
+                this.overbrightTextures.setAll(texture);
                 break;
             case RETRO_BLOCK_TEXTURES:
-                retroBlockTextures.setAll(texture);
+                this.retroBlockTextures.setAll(texture);
                 break;
             case RETRO_OVERBRIGHT_TEXTURES:
-                retroOverbrightTextures.setAll(texture);
+                this.retroOverbrightTextures.setAll(texture);
                 break;
         }
         return this;
@@ -383,34 +387,37 @@ public class BlockModelStandard<T extends BlockLogic> extends BlockModel<T>{
 
 
     @Deprecated
-    public BlockModelStandard<T> withOverbrightTexture(String texture)
-    {
-        overbrightTextures.setAll(texture);
+    public BlockModelStandard<T> withOverbrightTexture(String texture) {
+        this.overbrightTextures.setAll(texture);
         return this;
     }
+
     @Deprecated
-    public BlockModelStandard<T> withTextures(String texture){
-        blockTextures.setAll(texture);
+    public BlockModelStandard<T> withTextures(String texture) {
+        this.blockTextures.setAll(texture);
         return this;
     }
+
     @Deprecated
-    public BlockModelStandard<T> withTextures(String textureTopBottom, String textureSides){
-        blockTextures
+    public BlockModelStandard<T> withTextures(String textureTopBottom, String textureSides) {
+        this.blockTextures
             .set(textureTopBottom, Side.TOP, Side.BOTTOM)
             .set(textureSides, Side.NORTH, Side.EAST, Side.SOUTH, Side.WEST);
         return this;
     }
+
     @Deprecated
-    public BlockModelStandard<T> withTextures(String textureTop, String textureBottom, String textureSides){
-        blockTextures
+    public BlockModelStandard<T> withTextures(String textureTop, String textureBottom, String textureSides) {
+        this.blockTextures
             .set(textureTop, Side.TOP)
             .set(textureBottom, Side.BOTTOM)
             .set(textureSides, Side.NORTH, Side.EAST, Side.SOUTH, Side.WEST);
         return this;
     }
+
     @Deprecated
-    public BlockModelStandard<T> withTextures(String textureTop, String textureBottom, String textureNorth, String textureEast, String textureSouth, String textureWest){
-        blockTextures
+    public BlockModelStandard<T> withTextures(String textureTop, String textureBottom, String textureNorth, String textureEast, String textureSouth, String textureWest) {
+        this.blockTextures
             .set(textureTop, Side.TOP)
             .set(textureBottom, Side.BOTTOM)
             .set(textureNorth, Side.NORTH)
@@ -424,27 +431,27 @@ public class BlockModelStandard<T extends BlockLogic> extends BlockModel<T>{
         private final @Nullable IconCoordinate @NotNull [] coordinates = new IconCoordinate[6];
         private boolean hasTexture = false;
 
-        public TextureLayer set(@Nullable IconCoordinate coordinate, Side ... sides) {
+        public TextureLayer set(@Nullable IconCoordinate coordinate, Side... sides) {
             for (Side s : sides) {
                 assert s != Side.NONE : "Cannot set texture on a 'NONE' side!";
-                coordinates[s.getId()] = coordinate;
+                this.coordinates[s.getId()] = coordinate;
             }
 
-            hasTexture = false;
-            for (int i = 0, coordinatesLength = coordinates.length; i < coordinatesLength; i++) {
-                IconCoordinate iconCoordinate = coordinates[i];
-                hasTexture |= iconCoordinate != null;
+            this.hasTexture = false;
+            for (int i = 0, coordinatesLength = this.coordinates.length; i < coordinatesLength; i++) {
+                IconCoordinate iconCoordinate = this.coordinates[i];
+                this.hasTexture |= iconCoordinate != null;
             }
             return this;
         }
 
-        public TextureLayer set(@Nullable String texture, Side ... sides) {
+        public TextureLayer set(@Nullable String texture, Side... sides) {
             return set(texture == null ? null : TextureRegistry.getTexture(texture), sides);
         }
 
         public TextureLayer setAll(@Nullable IconCoordinate coordinate) {
-            Arrays.fill(coordinates, coordinate);
-            hasTexture = coordinate != null;
+            Arrays.fill(this.coordinates, coordinate);
+            this.hasTexture = coordinate != null;
             return this;
         }
 
@@ -453,20 +460,20 @@ public class BlockModelStandard<T extends BlockLogic> extends BlockModel<T>{
         }
 
         public TextureLayer copy(@NotNull TextureLayer layer) {
-            System.arraycopy(layer.coordinates, 0, coordinates, 0, 6);
+            System.arraycopy(layer.coordinates, 0, this.coordinates, 0, 6);
             this.hasTexture = layer.hasTexture;
             return this;
         }
 
         public @Nullable IconCoordinate get(@NotNull Side side) {
             assert side != Side.NONE : "Cannot set texture on a 'NONE' side!";
-            return coordinates[side.getId()];
+            return this.coordinates[side.getId()];
         }
 
         public @Nullable IconCoordinate get(int index) {
             assert index >= 0 : "Index must be greater then or equal to 0!";
-            assert index < coordinates.length : "Index must be less then " + coordinates.length + "!";
-            return coordinates[index];
+            assert index < this.coordinates.length : "Index must be less then " + this.coordinates.length + "!";
+            return this.coordinates[index];
         }
 
         public boolean hasTexture() {
